import { useState, useEffect } from 'react'
import { useParams } from 'react-router-dom'

import client from '../client'


const Game = () => {
  const [game, setGame] = useState({})
  const { gameId } = useParams()

  useEffect(() => {
    client.getGame(gameId).then(game => setGame(game))
  }, [gameId])

  return (
    <div class="game">
      <h1>{game.name}</h1>
    </div>
  )
}

export default Game
